import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { create } from 'zustand';
import { StorageEnum } from "../type/enum";
import { GetUrlParms } from "../utils";
import { getItem, removeItem, setItem } from "../utils/storage";
var useSearchParamsStore = create(function (set, get) {
  var unitWidth = 160;
  var halfUnitWidth = 160 / 2;
  var barHeight = 30;
  var todayOffset = Math.floor((+new Date() - +new Date('2024-01-01')) / (60 * 60 * 24 * 1000));
  return {
    searchParams: getItem(StorageEnum.searchParams) || {
      currentGroup: null,
      debug: false,
      taskOwner: 'alexq',
      unitWidth: unitWidth,
      halfUnitWidth: halfUnitWidth,
      taskNamePaddingLeft: 15,
      initChartStartX: 1,
      initChartStartY: 50,
      timeScaleHeight: 20,
      milestoneTopHeight: 20,
      barHeight: 30,
      barMargin: 1,
      scrollSpeed: 35,
      includeHoliday: false,
      useLocal: false,
      useRemote: false,
      view: '',
      mockTaskSize: 0,
      todayOffset: todayOffset,
      initLastScrollX: (todayOffset - 1) * unitWidth,
      filter: undefined,
      showFilter: false,
      arrowSize: barHeight / 3 * 2,
      showArrow: true
    },
    actions: {
      refreshSearchParamsStore: function refreshSearchParamsStore() {
        var _params$barMargin, _params$view, _params$unitWidth;
        var params = GetUrlParms();
        var _get = get(),
          defaultSearchParams = _get[StorageEnum.searchParams];
        var newParams = _objectSpread(_objectSpread(_objectSpread({}, defaultSearchParams), params), {}, {
          halfUnitWidth: ((params === null || params === void 0 ? void 0 : params.unitWidth) || unitWidth) / 2,
          barMargin: params !== null && params !== void 0 && params.debug ? 10 : (_params$barMargin = params === null || params === void 0 ? void 0 : params.barMargin) !== null && _params$barMargin !== void 0 ? _params$barMargin : 1,
          view: (_params$view = params === null || params === void 0 ? void 0 : params.view) !== null && _params$view !== void 0 ? _params$view : '',
          mockTaskSize: !(params !== null && params !== void 0 && params.useRemote) && !(params !== null && params !== void 0 && params.useLocal) && params !== null && params !== void 0 && params.mockTaskSize ? Number(params.mockTaskSize) : 0,
          initLastScrollX: ((params === null || params === void 0 ? void 0 : params.todayOffset) - 1) * ((_params$unitWidth = params === null || params === void 0 ? void 0 : params.unitWidth) !== null && _params$unitWidth !== void 0 ? _params$unitWidth : unitWidth)
        });
        set(_defineProperty({}, StorageEnum.searchParams, newParams));
        setItem(StorageEnum.searchParams, newParams);
      },
      setSearchParamsStore: function setSearchParamsStore(searchParams) {
        var _get2 = get(),
          defaultSearchParams = _get2[StorageEnum.searchParams];
        var newDefaultSearchParams = _objectSpread(_objectSpread({}, defaultSearchParams), searchParams);
        set(_defineProperty({}, StorageEnum.searchParams, newDefaultSearchParams));
        setItem(StorageEnum.searchParams, newDefaultSearchParams);
      },
      clearSearchParamsStore: function clearSearchParamsStore() {
        return removeItem(StorageEnum.searchParams);
      }
    }
  };
});
export var useSearchParams = function useSearchParams() {
  return useSearchParamsStore(function (state) {
    return state.searchParams;
  });
};
export var useSearchParamsActions = function useSearchParamsActions() {
  return useSearchParamsStore(function (state) {
    return state.actions;
  });
};